{% extends "base.html" %}

{% block links %}
{{ super() }}
{% endblock %}


{% block title %}
Proposer une offre
{% endblock %}




{% block header %}
{% include "sub_templates/header.html" %}
{% endblock %}


{% block main %}
<form method="POST" class="shadow rounded px-4 py-3">
    <h1 class="text-2xl font-semibold text-center mb-4">Proposer une offre</h1>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Entreprise associée</label>
        <select name="company" id="company" required
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            {% for company in get_company_list() %}
            <option value="{{company.id}}" {% if offre %}{% if offre.company.id==company.id %}selected{% endif %}{%
                endif %}>{{company.name}}
            </option>
            {% endfor %}
        </select>
    </div>
    {% if error_offre %}
    <p class="error">
        {{ error_offre }}
    </p>
    {% endif %}


    <button type="button" class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500
        focus:border-blue-500 block w-full px-2.5 py-1.5 w-fit h-fit mx-auto mt-5"
        data-layer-selector="#add-company-layer" onclick="toggleLayer(this)">Entreprise non trouvée ?</button>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Type d'offre</label>
        <select name="offre_type" type="text" required
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
            <option value="1" {% if offre %}{% if offre.offre_type.id==1 %}selected{% endif %}{% endif %}>Stage</option> 
            <option value="2" {% if offre %}{% if offre.offre_type.id==2 %}selected{% endif %}{% endif %}>Apprentissage</option>
        </select>
    </div>


    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Titre de l'offre</label>
        <input {% if offre %}value="{{ offre.titre }}" {% endif %} name="titre" type="text" required
            placeholder="Écrivez le titre de l'offre ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Résumé (en quelques mots) de la mission</label>
        <input {% if offre %}value="{{ offre.resumerMission }}" {% endif %} name="resumerMission" type="text" required
            placeholder="Écrivez le resumé de la mission ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Description de l'offre</label>
        <textarea name="description" required placeholder="Écrivez la description de l'offre ici"
            class="min-h-[60px] shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y max-h-48">{% if offre %}{{ offre.description }}{% endif %}</textarea>
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Durée du stage (semaines)</label>
        <input {% if offre %}value="{{ offre.weeks_number }}" {% endif %} name="weeks_number" type="number" step="1"
            required placeholder="Écrivez la durée en semaine du stage ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2">
    </div>


    <button
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">{%
        if offre %}Modifier l'offre{% else %}Ajouter l'offre{% endif %}</button>
    <p class="text-center italic my-4 text-sm">*Votre offre sera soumise à validation par un
        responsable.</p>
</form>




<div id="background-layer" class="layer hidden fixed top-0 left-0 w-full h-full bg-[#00000066] z-20"
    onclick="closeLayers()">
</div>


<form id="add-company-layer" method="POST" action="{{ url_for('add_new_company') }}"
    class="layer fullscreen-layer hidden max-w-5xl flex bg-white rounded p-6 overflow-y-auto flex-col w-full z-20 fixed max-h-[90%] m-auto top-0 left-0 right-0 bottom-0 shadow">
    <h2 class="text-2xl font-semibold text-center mb-4">Ajouter une entreprise</h2>




    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Nom de l'entreprise</label>
        <input type="text" name="company_name" {% if offre %}value="{{ offre.company.name }}" {% endif %} required
            placeholder="Écrivez le nom de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>


    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">SIRET de l'entreprise</label>
        <input type="number" name="company_siret" {% if offre %}value="{{ offre.company.name }}" {% endif %} required
            placeholder="Écrivez le SIRET de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Ville de l'entreprise</label>
        <input type="text" name="company_city" {% if offre %}value="{{ offre.company.name }}" {% endif %} required
            placeholder="Écrivez la ville de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Code postal de l'entreprise</label>
        <input type="number" name="company_cpostal" {% if offre %}value="{{ offre.company.name }}" {% endif %} required
            placeholder="Écrivez le code postal de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>

    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Adresse de l'entreprise</label>
        <input type="text" name="company_address" {% if offre %}value="{{ offre.company.address }}" {% endif %} required
            placeholder="Écrivez l'adresse de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Adresse email de l'entreprise</label>
        <input type="email" name="company_mail" {% if offre %}value="{{ offre.company.contact_email }}" {% endif %}
            required placeholder="Écrivez l'email de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Numéro de téléphone de l'entreprise</label>
        <input type="tel" name="company_num_phone" {% if offre %}value="{{ offre.company.contact_phone }}" {% endif %}
            required placeholder="Écrivez le numéro de téléphone de l'entreprise ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>

    <div class="flex flex-col">
        <label class="font-medium mb-2 text-gray-900 text-sm" for ="compnay-activites">La(s) activité(s) de l'entreprise</label>
        <select name="compnay-activites" id="compnay-activites" multiple>
            {% for activity in get_all_activites() %}
            <option value="{{ activity.id }}">{{ activity.domaine }}</option>
            {% endfor %}
        </select>
        <a class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex" href="{{ url_for('new_activity', userT='lombda') }}">Activité non trouvée ? En ajouter</a>
    </div>




    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Nom du responsable</label>
        <input type="text" name="company_resp_lname" {% if offre %}value="{{ offre.company.responsable.last_name }}"
            {% endif %} required placeholder="Écrivez le nom du responsable ici"
            onkeyup="this.value = this.value.toUpperCase();"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Prénom du responsable</label>
        <input type="text" name="company_resp_fname" {% if offre %}value="{{ offre.company.responsable.first_name }}"
            {% endif %} required placeholder="Écrivez le prénom du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>




    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Email du responsable</label>
        <input type="email" name="company_resp_mail" {% if offre %}value="{{ offre.company.responsable.email }}"
            {% endif %} required placeholder="Écrivez l'email du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>



    <div class="flex flex-col mt-4">
        <label class="font-medium mb-2 text-gray-900 text-sm">Numéro de téléphone du responsable</label>
        <input type="tel" name="company_resp_num_phone"
            {% if offre %}value="{{ offre.company.responsable.phone_number }}" {% endif %} required
            placeholder="Écrivez le numéro de téléphone du responsable ici"
            class="shadow bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg hover:border-blue-500 focus:border-blue-500 block w-full px-2.5 py-2 resize-y" />
    </div>

    {% if error_comp %}
    <p class="error">
        {{ error_comp }}
    </p>
    {% endif %}

    <button type="submit"
        class="rounded-full pointer px-3 py-[5px] mb-1 text-white bg-[var(--blue)] mt-5 border border-[var(--blue)] font-semibold hover:bg-white hover:text-[var(--blue)] duration-300 shadow mx-auto flex">Ajouter
        l'entreprise</button>
</form>
{% endblock %}

{% block footer %}
{% include "sub_templates/footer.html" %}
{% endblock footer%}


{% block script %}
{{ super() }}
{% endblock %}